-- Map leader
vim.g.mapleader = " "

-- colors
vim.o.termguicolors = true

-- Better display for messages
vim.o.cmdheight = 1

-- You will have bad experience for diagnostic messages when it's default 4000.
vim.o.updatetime = 100
vim.o.mmp = 5000

-- don't give |ins-completion-menu| messages.
vim.o.hidden = true
vim.o.signcolumn = "yes"
vim.o.encoding = "utf-8"
vim.o.shortmess = "c"
vim.o.autoread = true
vim.o.backspace = "indent,eol,start"
vim.o.ruler = true
vim.o.showmode = true
vim.o.history = 1000
vim.o.hidden = true
vim.o.ignorecase = true
vim.o.smartcase = true
vim.o.hlsearch = true
vim.o.incsearch = true
vim.o.showmatch = true
vim.o.laststatus = 2
vim.o.autoindent = true
vim.o.cindent = true
vim.o.shiftwidth = 2
vim.o.softtabstop = 2
vim.o.tabstop = 2
vim.o.expandtab = true
vim.o.scrolloff = 5
vim.o.foldmethod = "indent"
vim.o.foldlevel = 99
vim.wo.wrap = false
vim.o.showcmd = true
vim.o.number = true
vim.o.relativenumber = true
vim.o.mouse = "a"
vim.o.redrawtime = 10000
vim.o.inccommand = "split"
---- Sync " and + registers
vim.o.clipboard = "unnamedplus"

-- show completion options on <TAB>
vim.o.wildmenu = true
-- complete only up to the point of ambiguity
vim.o.wildmode = "list:longest"

vim.opt.backupdir = os.getenv("XDG_CACHE_HOME") .. "/nvim/backup//"
vim.o.directory = os.getenv("XDG_CACHE_HOME") .. "/nvim/swap//"
vim.o.undodir = os.getenv("XDG_CACHE_HOME") .. "/nvim/undo//"
vim.o.undofile = true
